/////////////////////////////////////////////////////////////////////////////
// Name:        DVDPropDlg.cpp
// Purpose:     DVD properties dialog
// Author:      Alex Thuering
// Created:     7.03.2005
// RCS-ID:      $Id: DVDPropDlg.cpp,v 1.3 2005/04/16 10:27:55 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////
 
#include "DVDPropDlg.h"

DVDPropDlg::DVDPropDlg(wxWindow *parent, DVD* dvd):
 PropDlg(parent), m_dvd(dvd)
{
  Create(true);
  SetSize(400,-1);
}

void DVDPropDlg::CreatePropPanel(wxSizer* sizer)
{
  AddCheckProp(sizer, _("Create jumppads"),
	sizer ? m_dvd->IsJumppadsEnabled() : true);
  AddCheckProp(sizer, _("Create empty menu/vmMenu if it doesn't exist"),
	sizer ? m_dvd->IsEmptyMenuEnabled() : true);
}

bool DVDPropDlg::SetValues()
{
  int n = 0;
  m_dvd->EnableJumppads(GetBool(n++));
  m_dvd->EnableEmptyMenu(GetBool(n++));
  return true;
}

