/////////////////////////////////////////////////////////////////////////////
// Name:        PipeExecute.h
// Purpose:     Pipe execute
// Author:      Alex Thuering
// Created:     23.08.2004
// RCS-ID:      $Id: PipeExecute.h,v 1.1 2005/04/06 21:20:05 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////
 
#ifndef PIPE_EXECUTE_H
#define PIPE_EXECUTE_H

#include <wx/string.h>

class wxPipeExecute
{
  public:
	bool Execute(wxString command, wxString inputFile = wxEmptyString,
	  wxString outputFile = wxEmptyString);
	virtual void ProcessOutput(wxString line) = 0;
	virtual bool IsCanceled() = 0;
};

#endif // PIPE_EXECUTE_H
